Page MenuHomePhabricator

PHP Fatal Error: Argument 2 passed to ORES\Hooks\ApiHooksHandler::addScoresForAPI() must be an instance of array, null given
Closed, ResolvedPublic

Description

Error

Request ID: W-6mYwpAAK4AAJZPz@sAAAAA

message
[W-6mYwpAAK4AAJZPz@sAAAAA] /w/api.php?action=query&format=json&continue=&list=recentchanges&rclimit=500&rcnamespace=0%7C2%7C4%7C6%7C10%7C14%7C100%7C828&rcprop=comment%7Cflags%7Cids%7Cloginfo%7Coresscores%7Csizes%7Ctags%7Ctimestamp%7Ctitle%7Cuser
PHP Fatal Error from line 282 of /srv/mediawiki/php-1.33.0-wmf.6/extensions/ORES/includes/Hooks/ApiHooksHandler.php:
  Argument 2 passed to ORES\Hooks\ApiHooksHandler::addScoresForAPI() must be an instance of array, null given
trace
#0 /srv/mediawiki/php-1.33.0-wmf.6/extensions/ORES/includes/Hooks/ApiHooksHandler.php(282): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.33.0-wmf.6/includes/Hooks.php(174): ORES\Hooks\ApiHooksHandler::onApiQueryBaseProcessRow(ApiQueryRecentChanges, stdClass, array, array)
#2 /srv/mediawiki/php-1.33.0-wmf.6/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#3 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQueryBase.php(401): Hooks::run(string, array)
#4 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQueryRecentChanges.php(454): ApiQueryBase->processRow(stdClass, array, array)
#5 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQueryRecentChanges.php(133): ApiQueryRecentChanges->run()
#6 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQuery.php(249): ApiQueryRecentChanges->execute()
#7 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiMain.php(1576): ApiQuery->execute()
#8 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiMain.php(531): ApiMain->executeAction()
#9 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#10 /srv/mediawiki/php-1.33.0-wmf.6/api.php(87): ApiMain->execute()
#11 /srv/mediawiki/w/api.php(3): include(string)
#12 {main}

Impact

Notes

Details

Related Gerrit Patches:

Event Timeline

hashar created this task.Nov 28 2018, 2:32 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptNov 28 2018, 2:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 28 2018, 2:58 PM

Change 476279 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/ORES@master] Don't try to add scores in API where there is nothing to add

https://gerrit.wikimedia.org/r/476279

zeljkofilipin triaged this task as Unbreak Now! priority.Nov 28 2018, 3:57 PM
zeljkofilipin added a subscriber: zeljkofilipin.

Train blockers are UBN.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptNov 28 2018, 3:57 PM

Change 476279 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Don't try to add scores in API where there is nothing to add

https://gerrit.wikimedia.org/r/476279

Change 476334 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/ORES@wmf/1.33.0-wmf.6] Don't try to add scores in API where there is nothing to add

https://gerrit.wikimedia.org/r/476334

Change 476334 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.33.0-wmf.6] Don't try to add scores in API where there is nothing to add

https://gerrit.wikimedia.org/r/476334

Mentioned in SAL (#wikimedia-operations) [2018-11-28T18:58:03Z] <ladsgroup@deploy1001> Synchronized php-1.33.0-wmf.6/extensions/ORES/includes/Hooks/ApiHooksHandler.php: [[gerrit:476334|Don't try to add scores in API where there is nothing to add (T210610)]] (duration: 00m 55s)

Ladsgroup closed this task as Resolved.Nov 28 2018, 7:09 PM
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM